summaryrefslogtreecommitdiff
path: root/net-analyzer/python-gvm
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-06-04 16:47:34 -0500
committerroot <root@alpha.trunkmasters.com>2026-06-04 16:47:34 -0500
commitdda948891d3731927b821ce31f9d9a2d03ba20c5 (patch)
tree99cd40be4cbb0606260da212cd81b8ab2db9da9b /net-analyzer/python-gvm
parenta3ceca1b4c0d9bdb550dc23f06ffbb5a8e033bc7 (diff)
downloadbaldeagleos-repo-dda948891d3731927b821ce31f9d9a2d03ba20c5.tar.gz
baldeagleos-repo-dda948891d3731927b821ce31f9d9a2d03ba20c5.tar.xz
baldeagleos-repo-dda948891d3731927b821ce31f9d9a2d03ba20c5.zip
Adding metadata
Diffstat (limited to 'net-analyzer/python-gvm')
-rw-r--r--net-analyzer/python-gvm/Manifest2
-rw-r--r--net-analyzer/python-gvm/metadata.xml19
-rw-r--r--net-analyzer/python-gvm/python-gvm-26.4.0.ebuild36
-rw-r--r--net-analyzer/python-gvm/python-gvm-26.9.1.ebuild36
4 files changed, 93 insertions, 0 deletions
diff --git a/net-analyzer/python-gvm/Manifest b/net-analyzer/python-gvm/Manifest
new file mode 100644
index 000000000000..30ec162209f8
--- /dev/null
+++ b/net-analyzer/python-gvm/Manifest
@@ -0,0 +1,2 @@
+DIST python-gvm-26.4.0.tar.gz 354900 BLAKE2B 0ac0d1e855d4015b649671d6a7ee88a23507d99cf6a8c40c84a774cb0cb12eb7dfd366e6cc2a0bb6348b48e9d96b9f431c4a5d0b8ffb51b1769d0fbd20f4979c SHA512 821fc0df07355bc6addcba7a8c74a7630ce5079d1e3e1f14bdb6a71e62d3b750c46223598fd0dc264c5b3826aaf4c1ebfe7d2c9f3b513598d405f5a70500e567
+DIST python-gvm-26.9.1.tar.gz 391799 BLAKE2B a212565558bd30a63b292e02d292b2f403b164726face65148c8a29ae5b6d6187d65382fbbfb1a3a139b8ebc5c10aa5f6f6132fee364d98e40502777d84b746b SHA512 10cdcd6d799ae4fdbf9aed21523f6db7be6764809c3c4503f21833e87db417b4562167a89f7227b7dce94603fe339c43d7d34f9bb46ac30c31e8630a9e13d419
diff --git a/net-analyzer/python-gvm/metadata.xml b/net-analyzer/python-gvm/metadata.xml
new file mode 100644
index 000000000000..6060478b194e
--- /dev/null
+++ b/net-analyzer/python-gvm/metadata.xml
@@ -0,0 +1,19 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://docs.baldeagleos.com/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person" proxied="yes">
+ <email>foti.giuseppe@gmail.com</email>
+ <name>Giuseppe Foti</name>
+ </maintainer>
+ <maintainer type="project" proxied="proxy">
+ <email>proxy-maint@gentoo.org</email>
+ <name>Proxy Maintainers</name>
+ </maintainer>
+ <longdescription lang="en">
+ The Greenbone Vulnerability Management Python API library (python-gvm) is a collection of
+ APIs that help with remote controlling a Greenbone Security Manager (GSM) appliance and its
+ underlying Greenbone Vulnerability Manager (GVM). The library essentially abstracts accessing
+ the communication protocols Greenbone Management Protocol (GMP) and Open Scanner Protocol (OSP).
+ </longdescription>
+ <origin>baldeagleos-repo</origin>
+</pkgmetadata>
diff --git a/net-analyzer/python-gvm/python-gvm-26.4.0.ebuild b/net-analyzer/python-gvm/python-gvm-26.4.0.ebuild
new file mode 100644
index 000000000000..c945097f72c1
--- /dev/null
+++ b/net-analyzer/python-gvm/python-gvm-26.4.0.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{13..14} )
+DISTUTILS_USE_PEP517=poetry
+
+inherit distutils-r1
+
+DESCRIPTION="Greenbone Vulnerability Management Python Library"
+HOMEPAGE="https://www.greenbone.net https://github.com/greenbone/python-gvm/"
+SRC_URI="https://github.com/greenbone/python-gvm/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-3+"
+SLOT="0"
+KEYWORDS="amd64"
+
+RDEPEND="
+ >=dev-python/lxml-4.5.0[${PYTHON_USEDEP}]
+ >=dev-python/paramiko-2.7.1[${PYTHON_USEDEP}]
+ dev-python/httpx[${PYTHON_USEDEP}]
+ test? (
+ >=net-analyzer/pontos-22.7.2[${PYTHON_USEDEP}]
+ )
+"
+DEPEND="${RDEPEND}"
+
+distutils_enable_tests unittest
+
+src_prepare() {
+ distutils-r1_src_prepare
+
+ # drop connection tests
+ rm -r tests/connections || die
+}
diff --git a/net-analyzer/python-gvm/python-gvm-26.9.1.ebuild b/net-analyzer/python-gvm/python-gvm-26.9.1.ebuild
new file mode 100644
index 000000000000..1d65ebbc9a9b
--- /dev/null
+++ b/net-analyzer/python-gvm/python-gvm-26.9.1.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{13..14} )
+DISTUTILS_USE_PEP517=poetry
+
+inherit distutils-r1
+
+DESCRIPTION="Greenbone Vulnerability Management Python Library"
+HOMEPAGE="https://www.greenbone.net https://github.com/greenbone/python-gvm/"
+SRC_URI="https://github.com/greenbone/python-gvm/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-3+"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="
+ >=dev-python/lxml-4.5.0[${PYTHON_USEDEP}]
+ >=dev-python/paramiko-3.4.0[${PYTHON_USEDEP}]
+ dev-python/httpx[${PYTHON_USEDEP}]
+ test? (
+ >=net-analyzer/pontos-22.7.2[${PYTHON_USEDEP}]
+ )
+"
+DEPEND="${RDEPEND}"
+
+distutils_enable_tests unittest
+
+src_prepare() {
+ distutils-r1_src_prepare
+
+ # drop connection tests
+ rm -r tests/connections || die
+}